function dX = lorenz(t,X,sigma,b,r)

if nargin < 5
  r = 28;
end

if nargin < 4
  b = 8/3;
end

if nargin < 3
  sigma = 10;
end

x = X(1);
y = X(2);
z = X(3);

dX = zeros(size(X));

dX(1) = sigma*(y-x);
dX(2) = r*x - y - x.*z;
dX(3) = x.*y - b*z;
